## IsoSurfaceSpec

Isosurface style specification

View Source GLShape.ts, line 1621

### Extends

- ShapeSpec

# Members

Type: `Func`

#### # callback Optional

function to call on click

Inherited From:
  - ShapeSpec#callback

View Source GLShape.ts, line 1595

Type: `boolean`

#### # clickable Optional

if true, user can click on object to trigger callback

Inherited From:
  - ShapeSpec#clickable

View Source GLShape.ts, line 1590

Type: `ColorSpec` | `Array`

#### # color Optional

Either a single color for the whole object or an array specifying the color at each vertex (`CustomShapeSpec`).

Inherited From:
  - ShapeSpec#color

View Source GLShape.ts, line 1565

Type: `Array`

#### # coords Optional

coordinates around which to include data; use viewer.selectedAtoms() to convert an AtomSelectionSpec to coordinates

View Source GLShape.ts, line 1641

Type: `number`

#### # frame Optional

if set, only display in this frame of an animation

Inherited From:
  - ShapeSpec#frame

View Source GLShape.ts, line 1615

Type: `boolean`

#### # hidden Optional

if true, do not display object

Inherited From:
  - ShapeSpec#hidden

View Source GLShape.ts, line 1580

Type: `Func`

#### # hover_callback Optional

hover callback

Inherited From:
  - ShapeSpec#hover_callback

View Source GLShape.ts, line 1605

Type: `boolean`

#### # hoverable Optional

if true, user can hover on object to trigger callback

Inherited From:
  - ShapeSpec#hoverable

View Source GLShape.ts, line 1600

Type: `number`

#### # isoval Optional

specifies the isovalue to draw surface at

View Source GLShape.ts, line 1626

Type: `number`

#### # linewidth Optional

width of line for wireframe rendering No longer supported by most browsers

Inherited From:
  - ShapeSpec#linewidth

View Source GLShape.ts, line 1585

Type: `number`

#### # opacity Optional

transparency, between 0 (invisible) and 1 (opaque)

Inherited From:
  - ShapeSpec#opacity

View Source GLShape.ts, line 1570

Type: `number`

#### # seldist Optional

distance around coords to include data [default = 2.0]

View Source GLShape.ts, line 1646

Type: `number`

#### # smoothness Optional

amount to smooth surface (default 1)

View Source GLShape.ts, line 1636

Type: `Func`

#### # unhover_callback Optional

unhover callback

Inherited From:
  - ShapeSpec#unhover_callback

View Source GLShape.ts, line 1610

Type: `VolumeData`

#### # voldata Optional

volumetric data for vertex coloring, can be VolumeData object or raw data if volformat is specified

View Source GLShape.ts, line 1651

Type: `string`

#### # volformat Optional

format of voldata if not a $3Dmol.VolumeData object

View Source GLShape.ts, line 1661

Type: `GradientType`

#### # volscheme Optional

coloring scheme for mapping volumetric data to vertex color, if not a Gradient object, show describe a builtin gradient one by providing an object with gradient, min, max, and (optionally) mid fields.

View Source GLShape.ts, line 1656

Type: `boolean`

#### # voxel Optional

if true uses voxel style rendering

View Source GLShape.ts, line 1631

Type: `boolean`

#### # wireframe Optional

draw as wireframe, not surface

Inherited From:
  - ShapeSpec#wireframe

View Source GLShape.ts, line 1575